import { DashboardIcon } from 'tdesign-icons-vue';
import Layout from '@/layouts/index.vue';

export default [
  {
    path: '/dashboard',
    component: Layout,
    redirect: '/dashboard/base',
    name: 'dashboard',
    meta: {
      title: '首页',
      icon: DashboardIcon,
    },
    children: [
      {
        path: 'base',
        name: 'DashboardBase',
        component: () => import('@/pages/dashboard/base/index.vue'),
        meta: { title: '数据大屏' },
      },
      {
        path: 'admin_pwd',
        name: 'adminPwd',
        component: () => import('@/pages/dashboard/admin_pwd.vue'),
        meta: {title: '密码修改', hidden: true},
      }
    ],
  },
];
